package ink.wgink.module.form.enums.docno;

/**
 * @ClassName: DocNoTypeEnum
 * @Description: 文号类型枚举
 * @Author: wanggeng
 * @Date: 2022/6/24 15:17
 * @Version: 1.0
 */
public enum DocNoTypeEnum {
    ALWAYS("always", "一直累加"),
    YEAR("year", "按年累加"),
    MONTH("month", "按月累加"),
    DAY("day", "按日累加"),
    MANUAL("manual", "手动");

    private String value;
    private String text;

    DocNoTypeEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
